ReadOnlyObjectProperty (JavaFX 25)
Description: declaration: module: javafx.base, package: javafx.beans.property, class: ReadOnlyObjectProperty

# Class ReadOnlyObjectProperty<T>

java.lang.Object
javafx.beans.binding.ObjectExpression<T>
javafx.beans.property.ReadOnlyObjectProperty<T>

Type Parameters:
  `T` - the type of the wrapped `Object`

All Implemented Interfaces:
  `Observable, ReadOnlyProperty<T>, ObservableObjectValue<T>, ObservableValue<T>`

Direct Known Subclasses:
  `ObjectProperty, ReadOnlyObjectPropertyBase`

public abstract class ReadOnlyObjectProperty<T> extends ObjectExpression<T> implements ReadOnlyProperty<T>
Superclass for all readonly properties wrapping an arbitrary `Object`. For specialized implementations for `ObservableList`, `ObservableSet` and `ObservableMap` that also report changes inside the collections, see `ReadOnlyListProperty`, `ReadOnlySetProperty` and `ReadOnlyMapProperty`, respectively.

Since:
  JavaFX 2.0
See Also:
  - `ObservableObjectValue`
  - `ObjectExpression`
  - `ReadOnlyProperty`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReadOnlyObjectProperty()`
  The constructor of `ReadOnlyObjectProperty`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  Returns a string representation of this `ReadOnlyObjectProperty` object.

  ### Methods declared in class ObjectExpression

  `asString, asString, asString, getValue, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotNull, isNull, objectExpression`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface Observable

  `addListener, removeListener, subscribe`

  ### Methods declared in interface ObservableObjectValue

  `get`

  ### Methods declared in interface ObservableValue

  `addListener, flatMap, getValue, map, orElse, removeListener, subscribe, subscribe, when`

  ### Methods declared in interface ReadOnlyProperty

  `getBean, getName`

- ## Constructor Details

  - ### ReadOnlyObjectProperty

    public ReadOnlyObjectProperty()
    The constructor of `ReadOnlyObjectProperty`.

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this `ReadOnlyObjectProperty` object.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of this `ReadOnlyObjectProperty` object.